# H245_DialingInformation Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_differential, e_infoNotAvailable }

## Public Member Functions

| H245_DialingInformation (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardMessage & ()
| operator const H245_NonStandardMessage & () const
| operator H245_ArrayOf_DialingInformationNumber & ()
| operator const H245_ArrayOf_DialingInformationNumber & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_DialingInformation::Choices

Enumerator:

  e_nonStandard |
  e_differential |
  e_infoNotAvailable |

## Constructor & Destructor Documentation

H245_DialingInformation::H245_DialingInformation | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_DialingInformation::operator H245_NonStandardMessage & | ( |  | ) |

H245_DialingInformation::operator const H245_NonStandardMessage & | ( |  | ) | const

H245_DialingInformation::operator H245_ArrayOf_DialingInformationNumber & | ( |  | ) |

H245_DialingInformation::operator const H245_ArrayOf_DialingInformationNumber & | ( |  | ) | const

PBoolean H245_DialingInformation::CreateObject | ( |  | ) |

PObject* H245_DialingInformation::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h